'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

require('../splunk');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avSplunkAnalytics', function () {

  var avSplunkAnalytics = void 0;
  var avLogMessagesResource = void 0;
  var $location = void 0;

  _tester2.default.matchers();

  beforeEach(_angular2.default.mock.module('availity'));

  beforeEach(inject(function (_avLogMessagesResource_, $q, _avSplunkAnalytics_, _$location_) {

    avSplunkAnalytics = _avSplunkAnalytics_;
    avLogMessagesResource = _avLogMessagesResource_;
    $location = _$location_;

    spyOn(avLogMessagesResource, 'info').and.callThrough();
    spyOn(avLogMessagesResource, 'create');

    spyOn($location, '$$absUrl').and.returnValue('http://www.abscefghighklmopqrstuvwxyz.com/app');
  }));

  it('should track events', function () {

    var event = {
      user: 'u',
      page: 'p'
    };

    avSplunkAnalytics.trackEvent(event);

    expect(avLogMessagesResource.info).toHaveBeenCalled();
    expect(avLogMessagesResource.create.calls.mostRecent().args[0]).toBeEqual({
      'level': 'info',
      'entries': {
        'user': 'u',
        'page': 'p'
      }
    });
  });

  it('should track page views', function () {

    avSplunkAnalytics.trackPageView($location.$$absUrl());

    expect(avLogMessagesResource.info).toHaveBeenCalled();
    expect(avLogMessagesResource.create.calls.mostRecent().args[0]).toBeEqual({
      'level': 'info',
      'entries': {
        'event': 'page',
        'url': 'http://www.abscefghighklmopqrstuvwxyz.com/app'
      }
    });
  });
}); /* global describe, beforeEach, expect, it, inject, spyOn */