'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

var _organizations = require('../organizations');

var _organizations2 = _interopRequireDefault(_organizations);

var _user = require('./user.json');

var _user2 = _interopRequireDefault(_user);

var _organizations3 = require('./organizations.json');

var _organizations4 = _interopRequireDefault(_organizations3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avOrganizationsResource', function () {

  _tester2.default.matchers();

  var avOrganizationsResource = void 0;
  var $httpBackend = void 0;

  beforeEach(function () {

    _angular2.default.mock.module(_organizations2.default.name);

    inject(function (_$httpBackend_, _avOrganizationsResource_) {
      $httpBackend = _$httpBackend_;
      avOrganizationsResource = _avOrganizationsResource_;
    });
  });

  it('should exist', function () {
    expect(avOrganizationsResource).toBeDefined();
  });

  it('should allow add user id to query params', function () {

    $httpBackend.expectGET(/\/api\/sdk\/platform\/v1\/users\/me\?sessionBust=\d+/).respond(200, _user2.default);
    $httpBackend.expect('GET', /\/api\/sdk\/platform\/v1\/organizations\?limit=100&offset=20&sessionBust=\d+&userId=rm3/).respond(200, _organizations4.default);

    avOrganizationsResource.getOrganizations({ params: { limit: 100, offset: 20 } }).then(function (data) {
      expect(data[0].a).toBeTruthy();
    });
    $httpBackend.flush();
  });
}); /* global inject, module, describe, beforeEach, it, expect */