'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _providers = require('../providers');

var _providers2 = _interopRequireDefault(_providers);

var _providers3 = require('./providers.json');

var _providers4 = _interopRequireDefault(_providers3);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global inject, module, describe, beforeEach, it, expect */

describe('avProvidersResource', function () {

  _tester2.default.matchers();

  var avProvidersResource = void 0;
  var $httpBackend = void 0;

  beforeEach(function () {

    _angular2.default.mock.module(_providers2.default.name);

    inject(function (_$httpBackend_, _avProvidersResource_) {
      $httpBackend = _$httpBackend_;
      avProvidersResource = _avProvidersResource_;
    });
  });

  it('should exist', function () {
    expect(avProvidersResource).toBeDefined();
  });

  it('should add customer id to url', function () {

    $httpBackend.expect('GET', /\/api\/internal\/v1\/providers\?customerId=9999&limit=100&offset=20&sessionBust=\d+/).respond(200, _providers4.default);

    avProvidersResource.getProviders(9999, { params: { limit: 100, offset: 20 } }).then(function (providers) {
      expect(providers[0].id).toBe('999999-9999-999999');
    });

    $httpBackend.flush();
  });
});