'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _regions = require('../regions');

var _regions2 = _interopRequireDefault(_regions);

var _regions3 = require('./regions.json');

var _regions4 = _interopRequireDefault(_regions3);

var _user = require('./user.json');

var _user2 = _interopRequireDefault(_user);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avRegionsResource', function () {

  _tester2.default.matchers();

  var avRegionsResource = void 0;
  var $httpBackend = void 0;

  beforeEach(function () {

    _angular2.default.mock.module(_regions2.default.name);

    inject(function (_$httpBackend_, _avRegionsResource_) {
      $httpBackend = _$httpBackend_;
      avRegionsResource = _avRegionsResource_;
    });
  });

  it('should exist', function () {
    expect(avRegionsResource).toBeDefined();
  });

  it('should allow add user id to url', function () {

    $httpBackend.expectGET(/\/api\/sdk\/platform\/v1\/users\/me\?sessionBust=\d+/).respond(200, _user2.default);
    $httpBackend.expect('GET', /\/api\/sdk\/platform\/v1\/regions\?limit=100&offset=20&pageBust=\d+&userId=rm3/).respond(200, _regions4.default);

    avRegionsResource.getRegions({ params: { limit: 100, offset: 20 } }).then(function (data) {
      expect(data).toBeTruthy();
    });

    $httpBackend.flush();
  });

  it('should return current selected region', function () {

    $httpBackend.expectGET(/\/api\/sdk\/platform\/v1\/users\/me\?sessionBust=\d+/).respond(200, _user2.default);
    $httpBackend.expect('GET', '/api/sdk/platform/v1/regions?userId=rm3').respond(200, _regions4.default);

    avRegionsResource.getCurrentRegion().then(function (region) {
      expect(region.id).toBe('FL');
    });
  });
}); /* global inject, module, describe, beforeEach, it, expect */