'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _users = require('../users');

var _users2 = _interopRequireDefault(_users);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global inject, spyOn, describe, beforeEach, it, expect, module */

describe('avUsersResource', function () {

  var avUsersResource = void 0;
  var $q = void 0;

  beforeEach(function () {

    _angular2.default.mock.module(_users2.default.name);

    inject(function (_avUsersResource_, _$q_) {
      avUsersResource = _avUsersResource_;
      $q = _$q_;
    });
  });

  it('should exist', function () {
    expect(avUsersResource).toBeDefined();
    expect(avUsersResource.me).toBeDefined();
  });

  it('should build url', function () {
    expect(avUsersResource.getUrl()).toBe('/api/sdk/platform/v1/users');
  });

  it('should allow config object for avUsersResource.me()', function () {

    var spyMe = spyOn(avUsersResource, 'me').and.callFake(function () {
      return $q.when({ name: 'Ariana' });
    });

    var config = { cacheBust: true };
    avUsersResource.me(config);

    expect(spyMe).toHaveBeenCalledWith(config);
  });
});