'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

require('../');

require('./dummy-validator');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe, inject, beforeEach, spyOn, module, it, expect */

describe('avValProvider', function () {

  _tester2.default.matchers();

  var provider = void 0;
  var avVal = void 0;
  var avValConfig = void 0;
  var $rootScope = void 0;
  var AV_VAL = void 0;

  var defaultRules = {
    'defaultRules': {
      'ssn': {
        'required': {
          'message': 'SSN is required.'
        }
      }
    }
  };

  beforeEach(_angular2.default.mock.module('availity', 'availity.mock'));

  beforeEach(_angular2.default.mock.module(function (avValProvider) {
    provider = avValProvider;
  }));

  beforeEach(inject(function (_avVal_, _avValConfig_, _$rootScope_, _AV_VAL_) {
    avVal = _avVal_;
    avValConfig = _avValConfig_;
    $rootScope = _$rootScope_;
    AV_VAL = _AV_VAL_;
  }));

  it('should be defined', function () {
    expect(provider.$get).toBeDefined();
    expect(provider.addRules).toBeDefined();
    expect(provider.addValidators).toBeDefined();
  });

  it('should add rules', function () {
    var result = provider.addRules(defaultRules);
    expect(result).toBeEqual(defaultRules);
  });

  it('should add validators', function () {

    spyOn(avVal, 'initValidators');

    var validators = provider.addValidators(['dummyValidator']);
    var allValidators = avValConfig.validators.concat(['dummyValidator']);
    expect(allValidators).toBeEqual(validators);
  });

  describe('avVal', function () {

    it('should broadcast re-validate event when adding new rules', function () {

      spyOn($rootScope, '$broadcast');

      avVal.addRules(defaultRules);
      expect($rootScope.$broadcast).toHaveBeenCalledWith(AV_VAL.EVENTS.REVALIDATE);
    });
  });
});