'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

require('../date');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe, it, beforeEach, expect, module, inject */

describe('avValDate', function () {
  var avValDate = void 0;
  var constraint = void 0;
  var constraintWithFormat = void 0;

  beforeEach(_angular2.default.mock.module('availity'));

  beforeEach(inject(function (_avValDate_, AV_VAL) {
    avValDate = _avValDate_;
    constraint = { format: AV_VAL.DATE_FORMAT.SIMPLE };
    constraintWithFormat = { format: 'MMDDYYYY' };
  }));

  it('should be a valid', function () {
    expect(avValDate.validate({ value: '02/02/2015', constraint: constraint })).toBe(true);
  });

  it('should NOT be valid', function () {
    expect(avValDate.validate({ value: '20/02/2015', constraint: constraint })).toBe(false);
  });

  it('custom format, should be a valid', function () {
    expect(avValDate.validate({
      value: '02022015',
      constraint: constraintWithFormat
    })).toBe(true);
  });

  it('custom format, should NOT be valid', function () {
    expect(avValDate.validate({
      value: '02/02/2015',
      constraint: constraintWithFormat
    })).toBe(false);
  });

  it('should use default date format if one is not provided', function () {
    expect(avValDate.validate({ value: '02/02/2015', constraint: {} })).toBe(true);
  });
});