'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

require('../phone');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global describe, it, beforeEach, expect, module, inject*/

describe('avValPhone', function () {
  var valPhone = void 0;

  beforeEach(_angular2.default.mock.module('availity'));

  beforeEach(inject(function (avValPhone) {
    valPhone = avValPhone;
  }));

  it('should be a valid', function () {
    expect(valPhone.validate({ value: '123.456.7890' })).toBe(true);
    expect(valPhone.validate({ value: '123-456-7890' })).toBe(true);
    expect(valPhone.validate({ value: '(123)456.7890' })).toBe(true);
    expect(valPhone.validate({ value: '(123)456-7890' })).toBe(true);
    expect(valPhone.validate({ value: '1234567890' })).toBe(true);
  });

  it('should NOT be valid', function () {
    expect(valPhone.validate({ value: '123-456-789' })).toBe(false);
    expect(valPhone.validate({ value: '123-456-78900' })).toBe(false);
    expect(valPhone.validate({ value: 'abc-def-ghij' })).toBe(false);
  });
});