'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /* global inject, jasmine, module, spyOn, beforeEach, afterEach*/

require('angular');

var _jquery = require('jquery');

var _jquery2 = _interopRequireDefault(_jquery);

var _matchers = require('./matchers');

var _matchers2 = _interopRequireDefault(_matchers);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Tester = function () {
  function Tester() {
    _classCallCheck(this, Tester);
  }

  _createClass(Tester, [{
    key: 'directive',
    value: function directive() {
      var _this = this;

      beforeEach(inject(function (_$rootScope_, _$compile_, _$anchorScroll_, _$window_, _$controller_, _$location_, _$q_, _$timeout_, _$httpBackend_, _$http_) {

        _this.$scope = _$rootScope_.$new();
        _this.sandboxEl = (0, _jquery2.default)('<div>').attr('id', 'sandbox').appendTo((0, _jquery2.default)('body'));
        _this.$compile = _$compile_;
        _this.$controller = _$controller_;
        _this.$location = _$location_;
        _this.$window = _$window_;
        _this.$anchorScroll = _$anchorScroll_;
        _this.$q = _$q_;
        _this.$timeout = _$timeout_;
        _this.$http = _$http_;
        _this.$httpBackend = _$httpBackend_;
        _this.spyBroadast = spyOn(_$rootScope_, '$broadcast').and.callThrough();
        _this.spy = jasmine.createSpy('event');
      }));

      afterEach(function () {

        _this.$scope.$destroy();
        _this.sandboxEl.remove();
        _this.$httpBackend.verifyNoOutstandingExpectation();
        _this.$httpBackend.verifyNoOutstandingRequest();
      });
    }
  }, {
    key: 'service',
    value: function service() {
      this.directive();
    }
  }, {
    key: 'init',
    value: function init() {
      this.directive();
    }
  }, {
    key: 'provider',
    value: function provider() {

      beforeEach(function () {
        this.sandboxEl = (0, _jquery2.default)('<div>').attr('id', 'sandbox').appendTo((0, _jquery2.default)('body'));
      });

      afterEach(function () {
        this.sandboxEl.remove();
      });
    }
  }, {
    key: 'compileDirective',
    value: function compileDirective(template, $elScope, appendEl) {

      var el = appendEl || this.sandboxEl;
      var element = (0, _jquery2.default)(template).appendTo(el);
      element = this.$compile(element)($elScope || this.$scope);
      this.$scope.$digest();
      return (0, _jquery2.default)(element[0]);
    }
  }, {
    key: 'flush',
    value: function flush(ms) {

      try {
        this.$timeout.flush(ms);
      } catch (e) {
        // no op
      }
    }

    /**
     * Angular adds a function to the response that lazy loads the response header info.  This is a helper
     * function that simulates the same behavior.
     *
     * Usage:
     *
     * response = _.extend({}, responseAsyncConfig, {
     *   headers: avTest.headers({
     *     "location": "/v1/dummy/123456789"
     *   })
     * });
     *
     * response.headers('location')
     *
     * More info:
     *
     * https://github.com/angular/angular.js/blob/14ff529fbbff46413c0cb451a2f0abbd16b05d5e/src/ng/http.js#L59
     */

  }], [{
    key: 'headers',
    value: function headers(_headers) {

      return function (name) {
        if (name) {
          return _headers[name.toLowerCase()] || null;
        }

        return _headers;
      };
    }
  }, {
    key: 'matchers',
    value: function matchers() {
      return (0, _matchers2.default)();
    }
  }]);

  return Tester;
}();

exports.default = Tester;