'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _jquery = require('jquery');

var _jquery2 = _interopRequireDefault(_jquery);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global jasmine, beforeEach*/

// NOTE: assume `jasmine` is loading in window object

var matchers = {
  toBeObject: function toBeObject() {
    return {
      compare: function compare(actual) {
        return {
          pass: _angular2.default.isObject(actual),
          message: 'Expected ' + _angular2.default.mock.dump(actual) + ' to be a equal to an Object'
        };
      }
    };
  },
  toBeEqual: function toBeEqual() {
    return {
      compare: function compare(actual, expected) {
        return {
          pass: _angular2.default.equals(expected, actual),
          message: 'Expected ' + _angular2.default.mock.dump(actual) + ' to be a equal to \' + ' + _angular2.default.mock.dump(expected)
        };
      }
    };
  },
  toBeFunction: function toBeFunction() {
    return {
      compare: function compare(actual) {
        return {
          pass: _angular2.default.isFunction(actual),
          message: 'Expected ' + _angular2.default.mock.dump(actual) + ' to be a function'
        };
      }
    };
  },
  toHaveClass: function toHaveClass() {
    return {
      compare: function compare(actual, expected) {
        return {
          pass: (0, _jquery2.default)(actual).hasClass(expected),
          message: 'Expected ' + _angular2.default.mock.dump(actual) + ' to be equal to ' + expected
        };
      }
    };
  },
  toHaveAttr: function toHaveAttr() {
    return {
      compare: function compare(actual, attr, expected) {
        return {
          pass: (0, _jquery2.default)(actual).attr(attr) === expected,
          message: 'Expected ' + _angular2.default.mock.dump(actual) + ' to have attribute ' + attr + ' set to ' + expected
        };
      }
    };
  },
  toHaveFocus: function toHaveFocus() {
    return {
      compare: function compare(actual) {
        return {
          pass: document.activeElement === actual[0],
          message: 'Expected active element ' + _angular2.default.mock.dump(actual) + ' to have focus.'
        };
      }
    };
  }
};

exports.default = function () {

  beforeEach(function () {
    jasmine.addMatchers(matchers);
  });
};