'use strict';

require('jquery');

require('velocity-animate');

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('Animations', function () {

  var tester = new _tester2.default();

  beforeEach(_angular2.default.mock.module('availity.ui'));

  tester.directive();

  describe('avAnimate', function () {

    var el = void 0;
    var isoScope = void 0;

    beforeEach(function () {
      el = tester.compileDirective('<div av-animate="\'testVal\'" av-animate-on="click"  av-animate-type="\'transition.bounceOut\'" av-animate-on-load="false" av-animate-options="{ delay: 500 }"></div>');
      isoScope = el.isolateScope();
    });

    it('should have directive scope', function () {
      expect(isoScope).toBeDefined();
    });

    it('should have watch', function () {
      expect(isoScope.watch).toBeDefined();
      expect(isoScope.watch).toEqual('testVal');
    });

    it('should have eventType', function () {
      expect(isoScope.eventType).toBeDefined();
      expect(isoScope.eventType).toEqual('click');
    });

    it('should have animation', function () {
      expect(isoScope.animation).toBeDefined();
      expect(isoScope.animation).toEqual('transition.bounceOut');
    });

    it('should have onLoad', function () {
      expect(isoScope.onLoad).toBeDefined();
      expect(isoScope.onLoad).toEqual(false);
    });

    it('should have veclocityOptions', function () {
      expect(isoScope.veclocityOptions).toBeDefined();
      expect(isoScope.veclocityOptions).toEqual({ delay: 500 });
    });
  });

  describe('avLoader', function () {
    it('should render directive', function () {
      var el = tester.compileDirective('<div av-loader></div>');
      expect(el.find('.loading-bullet').length > 0).toBeTruthy();
    });
  });
}); /* global  describe, beforeEach, it, expect */