'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _demo = require('demo');

var _demo2 = _interopRequireDefault(_demo);

require('../');

var _states = require('./fixtures/states');

var _states2 = _interopRequireDefault(_states);

var _pokemon = require('./fixtures/pokemon');

var _pokemon2 = _interopRequireDefault(_pokemon);

require('./resource');

var _picturesResultFormat = require('./picturesResultFormat');

var _picturesResultFormat2 = _interopRequireDefault(_picturesResultFormat);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_demo2.default.factory('demoDropdownService', function ($log, demoDropdownResource) {
  var DemoDropdownService = function () {
    function DemoDropdownService() {
      _classCallCheck(this, DemoDropdownService);

      // SIMPLE DOM EXAMPLE
      this.selectedNumber = null;

      // ARRAY EXAMPLE
      this.pokemon = _pokemon2.default;
      this.selectedPoke = null;

      // ARRAY OF OBJECTS EXAMPLE
      this.states = _states2.default;
      this.selectedState1 = null;
      this.selectedState2 = null;
      this.selectedState3 = null;
      this.selectedStates = [{ id: 'WY', name: 'Wyoming' }, { id: 'NM', name: 'New Mexico' }];
      this.selectedOrganization = null;
    }

    _createClass(DemoDropdownService, [{
      key: 'removeState',
      value: function removeState() {

        if (this.states.length > 1) {
          var removed = this.states.pop();
          $log.info('State ' + JSON.stringify(removed) + ' was removed');
        }
      }
    }, {
      key: 'setState1',
      value: function setState1() {
        this.selectedState1 = this.states[this.states.length - 1];
      }
    }, {
      key: 'setState2',
      value: function setState2() {
        this.selectedState2 = this.states[this.states.length - 1];
      }
    }, {
      key: 'setState3',
      value: function setState3() {
        this.selectedState3 = this.states[this.states.length - 1];
      }
    }, {
      key: 'setMultiple',
      value: function setMultiple() {
        this.selectedStates = [{ id: 'AR', name: 'Arkansas' }, { id: 'NM', name: 'New Mexico' }];
      }
    }, {
      key: 'resetPoke',
      value: function resetPoke() {
        this.selectedPoke = null;
      }
    }, {
      key: 'isPokeDisabled',
      value: function isPokeDisabled() {
        return this.selectedPoke === null;
      }
    }, {
      key: 'resetNumber',
      value: function resetNumber() {
        this.selectedNumber = null;
      }
    }, {
      key: 'isNumberDisabled',
      value: function isNumberDisabled() {
        return this.selectedNumber === null;
      }
    }, {
      key: 'resetState1',
      value: function resetState1() {
        this.selectedState1 = null;
      }
    }, {
      key: 'resetState2',
      value: function resetState2() {
        this.selectedState2 = null;
      }
    }, {
      key: 'resetState3',
      value: function resetState3() {
        this.selectedState3 = null;
      }
    }, {
      key: 'resetMultiple',
      value: function resetMultiple() {
        this.selectedStates = null;
      }
    }, {
      key: 'setPhoto',
      value: function setPhoto() {
        this.selectedPhoto = {
          'albumId': 2,
          'id': 52,
          'text': 'eveniet pariatur quia nobis reiciendis laboriosam ea',
          'title': 'eveniet pariatur quia nobis reiciendis laboriosam ea',
          'url': 'http://placehold.it/600/121fa4',
          'thumbnailUrl': 'http://placehold.it/24/9ed3d5'
        };
      }
    }, {
      key: 'resetPhoto',
      value: function resetPhoto() {
        this.selectedPhoto = null;
      }
    }, {
      key: 'onChange',
      value: function onChange(selected) {

        if (selected) {
          $log.info('Selected value is ' + JSON.stringify(selected));
        }
      }
    }, {
      key: 'onOrganizationChange',
      value: function onOrganizationChange(selected) {
        if (selected) {
          $log.info('Selected value is ' + JSON.stringify(selected));
        }
      }
    }, {
      key: 'getOptions',
      value: function getOptions() {
        return {
          allowClear: true,
          placeholder: 'Find a photo',
          minimumInputLength: 3,
          query: demoDropdownResource
        };
      }
    }, {
      key: 'getOrganizationOptions',
      value: function getOrganizationOptions() {
        return {
          allowClear: true,
          placeholder: 'Select an Organization',
          minimumInputLength: 0,
          params: {
            permissionIds: ['7000']
          }
        };
      }
    }, {
      key: 'getOptions2',
      value: function getOptions2() {
        return {
          allowClear: true,
          placeholder: 'Find a photo',
          minimumInputLength: 3,
          query: demoDropdownResource,
          formatResult: _picturesResultFormat2.default,
          formatSelection: _picturesResultFormat2.default
        };
      }
    }]);

    return DemoDropdownService;
  }();

  return new DemoDropdownService();
});