'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

var _organizationsSelectResource = require('../organizations-select-resource');

var _organizationsSelectResource2 = _interopRequireDefault(_organizationsSelectResource);

var _user = require('./fixtures/user.json');

var _user2 = _interopRequireDefault(_user);

var _organizations = require('./fixtures/organizations.json');

var _organizations2 = _interopRequireDefault(_organizations);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avSelectOrganizationsResource', function () {

  _tester2.default.matchers();

  var avSelectOrganizationsResource = void 0;
  var $httpBackend = void 0;

  beforeEach(function () {

    _angular2.default.mock.module('availity');
    _angular2.default.mock.module(_organizationsSelectResource2.default.name);

    inject(function (_$httpBackend_, _avSelectOrganizationsResource_) {
      $httpBackend = _$httpBackend_;
      avSelectOrganizationsResource = _avSelectOrganizationsResource_;
    });
  });

  it('should exist', function () {
    expect(avSelectOrganizationsResource).toBeDefined();
  });

  it('should allow add user id to query params', function () {

    $httpBackend.expectGET(/\/api\/sdk\/platform\/v1\/users\/me\?sessionBust=\d+/).respond(200, _user2.default);
    $httpBackend.expect('GET', /\/api\/sdk\/platform\/v1\/organizations\?limit=100&offset=20&sessionBust=\d+&userId=rm3/).respond(200, _organizations2.default);

    avSelectOrganizationsResource.getOrganizations({ params: { limit: 100, offset: 20 } }).then(function (response) {
      expect(response.data.organizations.length).toBe(2);
    });
    $httpBackend.flush();
  });
}); /* global inject */