'use strict';

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }();

var _demo = require('demo');

var _demo2 = _interopRequireDefault(_demo);

var _modalTemplate = require('./templates/modal-template.html');

var _modalTemplate2 = _interopRequireDefault(_modalTemplate);

var _modalLgTemplate = require('./templates/modal-lg-template.html');

var _modalLgTemplate2 = _interopRequireDefault(_modalLgTemplate);

var _modalSmTemplate = require('./templates/modal-sm-template.html');

var _modalSmTemplate2 = _interopRequireDefault(_modalSmTemplate);

var _modalRouteTemplate = require('./templates/modal-route-template.html');

var _modalRouteTemplate2 = _interopRequireDefault(_modalRouteTemplate);

var _modelControllerTemplate = require('./templates/model-controller-template.html');

var _modelControllerTemplate2 = _interopRequireDefault(_modelControllerTemplate);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

_demo2.default.factory('demoModalService', function (AvModal, $log, $state, avModalManager, $rootScope) {
  var AvDemoService = function () {
    function AvDemoService() {
      _classCallCheck(this, AvDemoService);

      this.listeners();
    }

    _createClass(AvDemoService, [{
      key: 'init',
      value: function init($scope) {
        this.$scope = $scope;
      }
    }, {
      key: 'listeners',
      value: function listeners() {

        $rootScope.$on('$stateChangeSuccess', function (event, toState) {

          if (toState.name === 'three') {
            avModalManager.closeAll();
          }
        });
      }
    }, {
      key: 'navigate',
      value: function navigate() {

        var state = 'two';
        if ($state.includes('two')) {
          state = 'three';
        }

        $state.go(state);
      }
    }, {
      key: 'modalOpen',
      value: function modalOpen() {

        AvModal.create({
          show: true,
          scope: this.$scope,
          templateUrl: _modalTemplate2.default
        });
      }
    }, {
      key: 'modalOpenLarge',
      value: function modalOpenLarge() {

        AvModal.create({
          show: true,
          scope: this.$scope,
          templateUrl: _modalLgTemplate2.default
        });
      }
    }, {
      key: 'modalOpenSmall',
      value: function modalOpenSmall() {

        var modalSmall = new AvModal({
          scope: this.$scope,
          templateUrl: _modalSmTemplate2.default
        });

        modalSmall.show().then(function () {
          $log.info('modal shown');
        });
      }
    }, {
      key: 'routeChange',
      value: function routeChange() {

        AvModal.create({
          show: true,
          scope: this.$scope,
          templateUrl: _modalRouteTemplate2.default
        });
      }
    }, {
      key: 'openWithController',
      value: function openWithController() {

        AvModal.create({
          show: true,
          templateUrl: _modelControllerTemplate2.default,
          controller: 'DemoModalDedicatedController',
          controllerAs: 'vm',
          locals: {
            someValue: 'This is a value passed in using locals, they become injectable values into the controller based on their key name.'
          }
        });
      }
    }]);

    return AvDemoService;
  }();

  return new AvDemoService();
});