'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

require('../');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avHasPermission', function () {

  var tester = new _tester2.default();

  var $el = void 0;

  beforeEach(function () {
    _angular2.default.mock.module('availity', 'availity.ui');
  });

  var FIXTURES = {
    MARKUP: {
      VALID: '<div ng-cloak data-av-hide-permission="1000"></button>',
      INVALID: '<div ng-cloak data-av-hide-permission="2000"></button>'
    },
    REQUESTS: {
      VALID: /\/api\/internal\/v1\/axi-user-permissions\?permissionId=1000.*&sessionBust=.*/,
      INVALID: /\/api\/internal\/v1\/axi-user-permissions\?permissionId=2000.*&sessionBust=.*/
    },
    RESPONSE: {
      'axiUserPermissions': [{
        'id': '1000',
        'description': 'Eligibility and Benefits Inquiry',
        'organizations': [{
          'id': '2000',
          'customerId': '1001',
          'name': 'sample org name',
          'resources': [{ 'id': '3000', 'payerId': 'PAYER1', 'payerName': 'Payer One' }]
        }]
      }]
    }
  };

  tester.directive();

  beforeEach(function () {
    tester.$scope.demo = {};
    tester.$scope.demo.permissions = ['1000'];
  });

  it('should show content with VALID permission ', function () {
    tester.$httpBackend.expectGET(FIXTURES.REQUESTS.VALID).respond(200, FIXTURES.RESPONSE);
    $el = tester.compileDirective(FIXTURES.MARKUP.VALID);
    tester.$scope.$digest();
    tester.$httpBackend.flush();
    expect($el.is(':visible')).toBe(true);
  });

  it('should NOT show content with INVALID permission ', function () {
    tester.$httpBackend.expectGET(FIXTURES.REQUESTS.INVALID).respond(200, FIXTURES.RESPONSE);
    $el = tester.compileDirective(FIXTURES.MARKUP.INVALID);
    tester.$scope.$digest();
    tester.$httpBackend.flush();
    expect($el.is(':visible')).toBe(false);
  });
}); /* global describe, it, expect, beforeEach, module */