'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

require('..');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

describe('avTemplateCache', function () {

  var $httpBackend = void 0;
  var avTemplateCache = void 0;
  var tester = new _tester2.default();

  beforeEach(function () {
    _angular2.default.mock.module('availity');
    _angular2.default.mock.module('availity.ui');
  });

  beforeEach(inject(function (_$httpBackend_, _avTemplateCache_) {
    $httpBackend = _$httpBackend_;
    avTemplateCache = _avTemplateCache_;
  }));

  tester.service();

  var html = '<div>hi</div>';

  it('should respond with markup with option `template`', function () {

    var options = { template: html };

    avTemplateCache.get(options).then(function (template) {
      expect(template).toBe(html);
    });

    tester.$scope.$apply();
  });

  it('should respond with markup with option `tempalteUrl`', function () {

    $httpBackend.expectGET('demo/tpl.html').respond(html);

    var options = { templateUrl: 'demo/tpl.html' };

    avTemplateCache.get(options).then(function (template) {
      expect(template).toBe(html);
    });

    $httpBackend.flush();
    tester.$scope.$apply();
  });
}); /* global describe, inject, it, beforeEach, expect*/