'use strict';

var _angular = require('angular');

var _angular2 = _interopRequireDefault(_angular);

var _tester = require('tester');

var _tester2 = _interopRequireDefault(_tester);

var _uploadProgressBarSpec = require('./upload-progress-bar-spec.html');

var _uploadProgressBarSpec2 = _interopRequireDefault(_uploadProgressBarSpec);

require('../upload-progress-bar');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* global  describe, beforeEach, it, expect */

describe('uploadProgessBar', function () {

  var tester = new _tester2.default();

  beforeEach(_angular2.default.mock.module('availity', 'availity.ui'));

  tester.directive();

  it('should render with defaults', function () {
    tester.$scope.upload = {
      percentage: 0,
      onProgress: [],
      onSuccess: [],
      onError: []
    };
    var el = tester.compileDirective(_uploadProgressBarSpec2.default, null, null);
    var progressBar = el.find('.progress');
    expect(progressBar.hasClass('progress')).toBeTruthy();
  });

  it('should render with 50% progress', function () {
    tester.$scope.upload = {
      percentage: 50,
      onProgress: [],
      onSuccess: [],
      onError: [],
      completed: false
    };
    var el = tester.compileDirective(_uploadProgressBarSpec2.default, null, null);
    tester.$scope.upload.onProgress.forEach(function (cb) {
      return cb(50, 100);
    });
    tester.$scope.$apply();
    var progressBar = el.find('.progress-bar');
    expect(progressBar.attr('style')).toBe('width: 50%;');
  });

  it('should render with 100% progress', function () {
    tester.$scope.upload = {
      percentage: 100,
      onProgress: [],
      onSuccess: [],
      onError: [],
      completed: false
    };
    var el = tester.compileDirective(_uploadProgressBarSpec2.default, null, null);
    tester.$scope.upload.onProgress.forEach(function (cb) {
      return cb(50, 100);
    });
    tester.$scope.upload.onSuccess.forEach(function (cb) {
      return cb(50, 100);
    });
    tester.$scope.$apply();
    var progress = el.find('.progress');
    var progressBar = el.find('.progress-bar');

    expect(progress.hasClass('progress-complete')).toBeTruthy();
    expect(progressBar.attr('style')).toBe('width: 100%;');
  });
});